Package com.microsoft.sqlserver.jdbc.spatialdatatypes

## Class Segment

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.spatialdatatypes.Segment

    public class Segment
    extends Object

Represents the internal makings of a Segment.

### Constructor Summary

Constructors
`Segment​(byte segmentType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte` `getSegmentType()` Returns the segmentType value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Segment

    public Segment​(byte segmentType)

### Method Detail

#### getSegmentType

    public byte getSegmentType()

Returns the segmentType value.

Returns:
  byte segmentType value.